import { type ComponentProps } from 'react';
import { type VariantProps } from 'class-variance-authority';
import { Command as CommandPrimitive } from 'cmdk';
import { type DialogProps } from './dialog';
import { inputVariants } from './input';
declare const commandVariants: (props?: ({
    variant?: "default" | "combobox" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string;
declare function Command({ className, variant, ...props }: ComponentProps<typeof CommandPrimitive> & VariantProps<typeof commandVariants>): import("react/jsx-runtime").JSX.Element;
declare function CommandDialog({ children, className, ...props }: DialogProps & {
    className?: string;
}): import("react/jsx-runtime").JSX.Element;
declare function CommandInput({ className, variant, wrapClassName, ...props }: ComponentProps<typeof CommandPrimitive.Input> & VariantProps<typeof inputVariants> & {
    wrapClassName?: string;
}): import("react/jsx-runtime").JSX.Element;
declare function CommandList({ className, ...props }: ComponentProps<typeof CommandPrimitive.List>): import("react/jsx-runtime").JSX.Element;
declare function CommandEmpty({ className, ...props }: ComponentProps<typeof CommandPrimitive.Empty>): import("react/jsx-runtime").JSX.Element;
declare function CommandGroup({ className, ...props }: ComponentProps<typeof CommandPrimitive.Group>): import("react/jsx-runtime").JSX.Element;
declare function CommandSeparator({ className, ...props }: ComponentProps<typeof CommandPrimitive.Separator>): import("react/jsx-runtime").JSX.Element;
export declare const commandItemVariants: (props?: ({
    variant?: "default" | "menuItem" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string;
declare function CommandItem({ className, variant, ...props }: ComponentProps<typeof CommandPrimitive.Item> & VariantProps<typeof commandItemVariants>): import("react/jsx-runtime").JSX.Element;
declare function CommandShortcut({ className, ...props }: ComponentProps<'span'>): import("react/jsx-runtime").JSX.Element;
export { Command, CommandDialog, CommandEmpty, CommandGroup, CommandInput, CommandItem, CommandList, CommandSeparator, CommandShortcut };
